Bug 15412 - Overwriting of /var/log/lastlog while upgrade
Summary: Overwriting of /var/log/lastlog while upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-04 16:42 UTC by Enrico Scholz
Modified: 2014-03-17 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 16:42:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2000-08-04 16:42:57 UTC
The logfile /var/log/lastlog will be replaced by an empty file while
package-upgrade. It's better to consider it as %config(noreplace) in the
spec-file:

-%verify(not md5 size mtime) /var/log/lastlog
+ %verify(not md5 size mtime) %config(noreplace) /var/log/lastlog


Example:
$ lastlog
[... a lot of names and dates ...]
$ rpm -U  /usr/src/redhat/RPMS/noarch/setup-2.3.2-1.noarch.rpm
$ lastlog
$

Comment 1 Bill Nottingham 2000-08-07 04:12:52 UTC
Fixed in setup-2.3.4-1; thanks for the bug report.


Note You need to log in before you can comment on or make changes to this bug.